# ===================================================================
# Assignment Metadata Template
# ===================================================================

# Required Properties
# -------------------------------------------------------------------
title = A Tetris-playing Robot

synopsis = Build a class that represents an automated tetris player, and \
    that can be run inside a pre-provided tetris game with a full GUI \
    (no GUI programming involved).

programming.language = c++
author1.name.first = Stephen H.
author1.name.last = Edwards
author1.email = edwards@cs.vt.edu
author1.url = http://people.cs.vt.edu/~edwards/
author1.affiliation = Virginia Tech, Dept. of Computer Science
author1.phone = +1 540 231 5723
languages = en
copyright = (c) 2008 Virginia Tech Department of Computer Science
license = Creative Commons Attribution-Noncommercial 3.0 United States License
license.url = http\://creativecommons.org/licenses/by-nc/3.0/us/


# Recommended Properties
# -------------------------------------------------------------------
keywords = GUI, JUnit, TDD, test-first coding, \
    test-driven development
type = program
topics = recursion, parameter passing, method decomposition
builder = CppTddPlugin
tester = CxxTest


# Optional Properties
# -------------------------------------------------------------------
abstract = This is a cool game assignment that motivates students ...

goals = This assignment is designed to allow students to practice \
    writing recursive ...

potential = This assignment lends itself well to contests, where \
    student solutions are played against each other.  This is an \
    excellent way to increase engagement.  Consider offering extra \
    credit for achieving different levels of performance, or for winning \
    a contest.

info.url = http\://courses.cs.vt.edu/~cs1705/assignments/tetris.html
programming.language.vendor = GNU g++
programming.language.version = 3.5+
course = CS1, CS1705: Introduction to Object-oriented Development I
estimated.experience = 3
estimated.time = 2 weeks
estimated.size = 250


# Assigned Properties
# -------------------------------------------------------------------
repository.id = catspace.web-cat.org:1234 ab47
repository.version = 4b1.2
repository.root.id = catspace.web-cat.org:179 cc55
repository.url = http\://catspace.web-cat.org/assignment/1234
repository.history = 
repository.acl = SomeGroupName
